---
title: DocumentOrShadowRoot.getAnimations()
slug: Web/API/DocumentOrShadowRoot/getAnimations
tags:
  - API
  - Animation
  - CSS
  - CSS Animations
  - CSS Transitions
  - Document
  - Experimental
  - Method
  - Reference
  - Transitions
  - Web Animations
  - getAnimations
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{APIRef("Web Animations")}}</p>

<p>The <code>getAnimations()</code> method of the {{domxref("Document")}} interface returns an array of all {{domxref("Animation")}} objects currently in effect whose target elements are descendants of the document. This array includes <a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a>, <a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS Transitions</a>, and <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>allAnimations</var> = <var>Document</var>.getAnimations();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An {{jsxref("Array")}} of {{domxref("Animation")}} objects, each representing one animation currently associated with elements which are descendants of the {{domxref("Document")}} on which it's called.</p>

<h2 id="Examples">Examples</h2>

<p>The following code snippet will slow down all animations on a page by halving their {{domxref("Animation.playbackRate")}}.</p>

<pre class="brush: js notranslate">document.getAnimations().forEach(
  function (animation) {
    animation.playbackRate *= .5;
  }
);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animatable-getanimations', 'document.getAnimations()' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.getAnimations")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS Transitions</a></li>
 <li>{{domxref("Element.getAnimations()")}} - Fetch only the animations on a single {{domxref("Element")}} and its descendants.</li>
 <li>{{domxref("Animation")}}</li>
</ul>
